#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    queue<int> q;
    q.push(1);
    q.push(2);
    q.push(3);
    q.push(4);
    q.push(5);
    q.push(6);
    q.push(7);
    for (int i = 0; i < 3; i++)
    {
        //q = queue<int>();
        q.swap(decltype(q)());
        cout << q.size() << endl;
    }
    return 0;
}
